Contents

# QBColor Function

Returns the RGB colour code of the colour passed as a colour value through an older MS-DOS based programming system.

### Syntax:

QBColor (ColourNumber As Integer)

### Return type:

Long

### Parameters:

ColourNumber: An integer expression that specifies the colour value of the colour passed from an older MS-DOS based programming system.

ColourNumber can be assigned the following values:

0 : Black

1 : Blue

2 : Green

:3 : Cyan

:4 : Red

5 : Magenta

6 : Yellow

7 : White

8 : Grey

9 : Light Blue

10 : Light Green

11 : Light Cyan

12 : Light Red

13 : Light Magenta

14 : Light Yellow

15 : Bright White

ova funkcije pretvara MS-DOS koji koriste boje iznad, Vraca long indicirajuci na boju koja treba u LibreOffice IDE.

### Error codes:

5 Invalid procedure call

### Example:

    Sub ExampleQBColor
    Dim iColor As Integer
    Dim sText As String
        iColor = 7
        sText = "RGB= " & Red(QBColor( iColor) ) & ":" & Blue(QBColor( iColor) ) & ":" & Green(QBColor( iColor) )
        MsgBox stext,0,"Colour " & iColour
    End Sub